View Issue Details

IDProjectCategoryView StatusLast Update
0007799ScribusCanvaspublic2016-02-14 13:53
Reportermray Assigned Tochristoph_s  
PrioritynormalSeverityminorReproducibilityN/A
Status assignedResolutionreopened 
PlatformGNU/LinuxOSUbuntuOS Version8.10
Product Version1.3.5svn 
Target Version1.6 milestoneFixed in Version 
Summary0007799: bigger canvas scroll area
DescriptionSometimes you need to be able to scroll further "outwards" of your document.
For example if you want your properties palette to appear outside of the page:
it is impossible to do so in my example (see image).

I would like to be able to scroll outside the document until any page elements are "almost" out of canvas.
TagsNo tags attached.
Patch

Relationships

related to 0011379 confirmed Default value for Scratch space should enable full horz scroll 

Activities

2009-02-16 10:12

 

scroll.png (329,837 bytes)
scroll.png (329,837 bytes)

BAlpha

2009-02-16 14:06

reporter   ~0021158

This is already possible. See Document Properties -> Display -> Scratch Space.

mray

2012-09-02 22:37

reporter   ~0028893

imho it is not a fix to have an option that can be set to make something basic like scrolling work 100%.
It should *always* be possible to scroll the page anywhere until there is no single pixel of page content on the screen.
This should be independent of:
* page format
* page size
* default "scratch space" settings.

the current behaviour leads to absurd situations like this:
right side of the screen renders almost the complete A2 Page (zoomed out) + I simply CANNOT scroll it to the left side of my screen!

ale

2012-09-03 07:39

manager   ~0028899

fully agree with mray.
just one thing: we probably want to let the user move until there is 1 single pix of content on the screen left, not none :-)

mray

2013-10-18 20:55

reporter   ~0030741

This seems like a low hanging fruit but is a major annoyance.
Therefore I humbly ask to give it a priority boost - at least towards other "minor" issues.

Issue History

Date Modified Username Field Change
2009-02-16 10:12 mray New Issue
2009-02-16 10:12 mray File Added: scroll.png
2009-02-16 14:06 BAlpha Note Added: 0021158
2009-03-15 01:59 christoph_s Status new => resolved
2009-03-15 01:59 christoph_s Resolution open => no change required
2009-03-15 01:59 christoph_s Assigned To => christoph_s
2009-03-15 01:59 christoph_s Status resolved => closed
2012-09-02 22:37 mray Note Added: 0028893
2012-09-02 22:37 mray Status closed => feedback
2012-09-02 22:37 mray Resolution no change required => reopened
2012-09-03 07:39 ale Note Added: 0028899
2013-10-18 20:55 mray Note Added: 0030741
2013-10-18 20:55 mray Status feedback => assigned
2014-08-19 01:20 Kunda Target Version => 1.6 milestone
2016-02-14 13:53 Kunda Relationship added related to 0011379